%define 	module	pycurl
Summary:	Free and easy-to-use client-side URL transfer library
Summary(pl.UTF-8):	Łatwa w użyciu biblioteka obsługi URL od strony klienta
Name:		python-%{module}
Version:	7.16.4
Release:	1
License:	LGPL
Group:		Libraries/Python
Source0:	http://pycurl.sourceforge.net/download/%{module}-%{version}.tar.gz
# Source0-md5:	b2ad729cf4ccc16f8d169d2511764eb6
URL:		http://pycurl.sourceforge.net/
BuildRequires:	curl-devel >= 7.16.4
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	curl-libs >= 7.16.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pycurl is Python interface to curl library - free and easy-to-use
client-side URL transfer library, supporting FTP, FTPS, HTTP, HTTPS,
GOPHER, TELNET, DICT, FILE and LDAP. libcurl supports HTTPS
certificates, HTTP POST, HTTP PUT, FTP uploading, kerberos, HTTP form
based upload, proxies, cookies, user+password authentication, file
transfer resume, HTTP proxy tunneling and more!

%description -l pl.UTF-8
pycurl jest interfejsem języka Python do biblioteki libcurl -
wolnodostępnej i łatwej w użyciu biblioteki operacji na URL-ach od
strony klienta, obsługującej FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET,
DICT, FILE i LDAP. libcurl obsługuje także certyfikaty HTTPS, HTTP
POST, HTTP PUT, uploady FTP, kerberos, upload plików przez HTTP oparty
na formularzach, proxy, ciasteczka, uwierzytelnienie, wznawianie
przesyłania plików, tunelowanie proxy i wiele innych.

%package doc
Summary:	Documentation for pycurl Python module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona pycurl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description doc
This module contains documentation files for pycurl Python module.

%description doc -l pl.UTF-8
Moduł zawierający dokumentację dla modułu Pythona pucurl.

%package examples
Summary:	Examples for pycurl Python module
Summary(pl.UTF-8):	Przykładowe programy do modułu Pythona pycurl
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
This module contains examples for pycurl Python module.

%description examples -l pl.UTF-8
Moduł zawierający przykładowe programy do modułu Pythona pycurl.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build \
	--debug

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{py_sitedir},%{_examplesdir}/%{name}-%{version}}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

find $RPM_BUILD_ROOT%{py_sitedir} -name \*.py -exec rm {} \;

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
rm -rf $RPM_BUILD_ROOT%{_docdir}/pycurl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{py_sitedir}/*.so
%dir %{py_sitedir}/curl
%{py_sitedir}/curl/*.py[co]

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Jun 29 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycurl.git;a=log;h=AC-branch

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> 6b7d0a4
- updated to 7.16.4 from HEAD

* Tue Feb 26 2008 Elan Ruusamäe <glen@pld-linux.org> d2c5fcf
- convert to utf8

* Thu Dec 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> afc841e
- rel 2; fix for new curl

* Thu Dec 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 624a45b
- ifdef some things for new curl

* Sat Nov 18 2006 Jakub Bogusz <qboosh@pld-linux.org> cf34cae
- require python-libs not python interpreter

* Sat Nov 18 2006 Jakub Bogusz <qboosh@pld-linux.org> 08471c9
- BR: rpm-pythonprov

* Mon Sep 11 2006 Jakub Bogusz <qboosh@pld-linux.org> cb8eb41
- updated to 7.15.5.1

* Wed Aug 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 4e83e93
- updated to 7.15.5

* Fri Jun 23 2006 Jakub Bogusz <qboosh@pld-linux.org> 6178879
- updated to 7.15.4

* Sun Mar 05 2006 Jakub Bogusz <qboosh@pld-linux.org> 3afabe1
- updated to 7.15.2 (for curl 7.15.2)
- depend on curl-libs not whole curl

* Fri Feb 03 2006 Jakub Bogusz <qboosh@pld-linux.org> ed49259
- updated to 7.15.1 (fixes memory leak)

* Fri Oct 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 1670cc1
- updated to 7.15.0

* Thu Oct 13 2005 Jakub Bogusz <qboosh@pld-linux.org> b819e46
- updated to 7.14.1

* Fri Apr 08 2005 Adam Gołębiowski <adamg@pld-linux.org> 273921c
- updated to 7.13.2

* Thu Mar 10 2005 Karol Krenski <charles@pld-linux.org> 3b0b782
- BR: python, python-devel, python-modules

* Mon Mar 07 2005 Karol Krenski <charles@pld-linux.org> 7c977d9
- updated to 7.13.1
- rm obsolete BR: rpm-pythonprov

* Sat Feb 12 2005 Jakub Bogusz <qboosh@pld-linux.org> 3b44867
- updated to 7.13.0

* Tue Dec 28 2004 Adam Gołębiowski <adamg@pld-linux.org> f600b4f
- updated to 7.12.3

* Sat Dec 25 2004 saq <saq@pld-linux.org> 31a43a5
- release 2 for rebuild with python 2.4

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 99a94b9
- "HTTP" unification

